Bug 1356751 - python-uinput-0.11.2 is available [NEEDINFO]
Summary: python-uinput-0.11.2 is available
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: python-uinput   
(Show other bugs)
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fabian Deutsch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: FutureFeature, Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-15 00:20 UTC by Upstream Release Monitoring
Modified: 2017-08-11 08:15 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
elad: needinfo? (fabian.deutsch)


Attachments (Terms of Use)
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (5.34 KB, patch)
2016-07-15 00:20 UTC, Upstream Release Monitoring
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (5.34 KB, patch)
2016-08-27 07:03 UTC, Upstream Release Monitoring
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (5.34 KB, patch)
2016-09-19 00:22 UTC, Upstream Release Monitoring
no flags Details | Diff

Description Upstream Release Monitoring 2016-07-15 00:20:22 UTC
Latest upstream release: 0.11.0
Current version/release in rawhide: 0.10.1-8.fc24
URL: https://github.com/tuomasjjrasanen/python-uinput

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/4075/

Comment 1 Upstream Release Monitoring 2016-07-15 00:20:34 UTC
Patching or scratch build for python-uinput-0.10.1 failed.

Comment 2 Upstream Release Monitoring 2016-07-15 00:20:35 UTC
Created attachment 1179997 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.

Comment 3 Upstream Release Monitoring 2016-07-15 00:20:36 UTC
Patches were not touched. All were applied properly

Comment 4 Upstream Release Monitoring 2016-08-27 07:03:45 UTC
Latest upstream release: 0.11.1
Current version/release in rawhide: 0.10.1-9.fc25
URL: https://github.com/tuomasjjrasanen/python-uinput

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/4075/

Comment 5 Upstream Release Monitoring 2016-08-27 07:03:56 UTC
Patching or scratch build for python-uinput-0.10.1 failed.

Comment 6 Upstream Release Monitoring 2016-08-27 07:03:57 UTC
Created attachment 1194715 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.

Comment 7 Upstream Release Monitoring 2016-08-27 07:03:59 UTC
Patches were not touched. All were applied properly

Comment 8 Upstream Release Monitoring 2016-09-19 00:21:53 UTC
Latest upstream release: 0.11.2
Current version/release in rawhide: 0.10.1-9.fc25
URL: https://github.com/tuomasjjrasanen/python-uinput

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/4075/

Comment 9 Upstream Release Monitoring 2016-09-19 00:22:04 UTC
Patching or scratch build for python-uinput-0.10.1 failed.

Comment 10 Upstream Release Monitoring 2016-09-19 00:22:05 UTC
Created attachment 1202276 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.

Comment 11 Upstream Release Monitoring 2016-09-19 00:22:07 UTC
Patches were not touched. All were applied properly

Comment 12 Marek Marczykowski 2016-11-01 00:18:00 UTC
Please upload updated package, the one available in Fedora 24 (0.10.1-8) is completely broken - the library can't be even imported:

>>> import uinput
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "/usr/lib64/python2.7/site-packages/uinput/__init__.py", line 42, in <module>
    _ABS_CNT = ABS_MAX[1] + 1
NameError: name 'ABS_MAX' is not defined

Interestingly the same version built for Fedora 23 do work. Anyway the issue is already fixed upstream https://github.com/tuomasjjrasanen/python-uinput/issues/15 so anything >= 0.11.0 should be ok.

Comment 13 Elad Alfassa 2017-07-15 16:07:39 UTC
Hey, this bug has been open for almost a year now, and python-uinput is completely broken in Fedora 26 at the moment. Can you please update to the latest version?

Comment 14 Antoine Martin 2017-08-08 13:46:28 UTC
Fedora 26:

$ dnf install python-uinput
(..)
$ python -c "import uinput"
Traceback (most recent call last):
  File "<string>", line 1, in <module>
  File "/usr/lib64/python2.7/site-packages/uinput/__init__.py", line 42, in <module>
    _ABS_CNT = ABS_MAX[1] + 1
NameError: name 'ABS_MAX' is not defined

This package is unusable, it should either be removed or fixed.

Comment 15 Elad Alfassa 2017-08-08 14:01:10 UTC
(In reply to Antoine Martin from comment #14)
> This package is unusable, it should either be removed or fixed.

It should be fixed. The Latest upstream version fixes this problem. But the maintainer seems to be unresponsive. I'm restoring the needinfo flag (please don't remove it when commenting unless you're the maintainer), maybe this will catch the maintainer's attention.

If the maintainer won't respond soon someone would need to follow this policy:
https://fedoraproject.org/wiki/Policy_for_nonresponsive_package_maintainers

to take over the package and update it.

Comment 16 Antoine Martin 2017-08-11 08:15:00 UTC
FWIW: simply bumping the version number to 0.11.2 and rebuilding is enough, I've successfully built and deployed Fedora RPMs here:
http://xpra.org/dists/Fedora/
Now we just need someone to take over this Fedora package. (I am not interested in all the bureaucracy involved - sorry)


Note You need to log in before you can comment on or make changes to this bug.